Subject: Re: [PATCH] Add a guilt-export(1) command to export a guilt series to quilt.

From: Pierre Habouzit <[email-masked]>
Date: Thu, 14 Jun 2007 12:38:32 +0200

On Wed, Jun 13, 2007 at 11:54:54AM -0400, Josef Sipek wrote:
> On Wed, Jun 13, 2007 at 08:10:36AM -0700, Benjamin Sergeant wrote:
> > For the shebang:
> > #!/usr/bin/env bash
> > should works well and should work on non-linux boxes that did not
> > added a link in /bin/bash.
>  
> Ideally, the best thing to do is to change guilt to use /bin/sh. Right now,
> there are a number of bash-isms that are used. And if a system doesn't have
> /bin/sh, it doesn't deserve to run any useful software ;)
> 
> Patches are welcomed ;)

  Makes sense. I'm currently working on it (so that nobody loses time on
that issue).

  I'm mostly done with guilt(1), I still need to take some "local"
variables down (especially in guilt_push or whatever the function name
is). Most of the rest has been dealt with already.

  I should send a patch serie towards POSIX-shell-isation soon, as soon
as I've tested the patches with bash, zsh, dash and posh.

  Cheers,
-- 
·O·  Pierre Habouzit
··O                                                [email-masked]
OOO                                                http://www.madism.org